package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcCar;
import org.dromara.system.domain.vo.TblDzbcCarVo;
import org.dromara.system.domain.bo.TblDzbcCarBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-车辆Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcCarService {

    /**
     * 查询定制班车-车辆
     */
    TblDzbcCarVo queryById(Long id);

    /**
     * 查询定制班车-车辆列表
     */
    TableDataInfo<TblDzbcCarVo> queryPageList(TblDzbcCarBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-车辆列表
     */
    List<TblDzbcCarVo> queryList(TblDzbcCarBo bo);

    /**
     * 新增定制班车-车辆
     */
    Boolean insertByBo(TblDzbcCarBo bo);

    /**
     * 修改定制班车-车辆
     */
    Boolean updateByBo(TblDzbcCarBo bo);

    /**
     * 校验并批量删除定制班车-车辆信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
